Author: frankie
Date: 2008-01-29 16:43:22 +0000 (Tue, 29 Jan 2008)
New Revision: 1365

Added:
   packages/gdal/trunk/debian/NEWS
Modified:
   packages/gdal/trunk/debian/changelog
   packages/gdal/trunk/debian/control
   packages/gdal/trunk/debian/patches/libname.dpatch
   packages/gdal/trunk/debian/rules
Log:
Fixating python support 


Added: packages/gdal/trunk/debian/NEWS
===================================================================
--- packages/gdal/trunk/debian/NEWS                             (rev 0)
+++ packages/gdal/trunk/debian/NEWS     2008-01-29 16:43:22 UTC (rev 1365)
@@ -0,0 +1,11 @@
+gdal (1.5.0-3) unstable; urgency=low
+
+   GDAL deprecated the old-style python binding starting from 1.5 branch, so
+   it has been dropped in Debian. Generally you should not experience big
+   problems because almost all API are supported by the current Swig-based
+   binding. If not, consider that you need to upgrade to the current binding.
+
+   The old bindings use old Numeric, the new SWIG-based use NumPy, for all
+   the rest refer to GDAL documentationi, please.
+
+ -- Francesco Paolo Lovergine <[EMAIL PROTECTED]>  Tue, 29 Jan 2008 12:37:07 
+0100

Modified: packages/gdal/trunk/debian/changelog
===================================================================
--- packages/gdal/trunk/debian/changelog        2008-01-29 09:32:36 UTC (rev 
1364)
+++ packages/gdal/trunk/debian/changelog        2008-01-29 16:43:22 UTC (rev 
1365)
@@ -1,9 +1,13 @@
 gdal (1.5.0-3) UNRELEASED; urgency=low
 
-  * NOT RELEASE YET
   * [debian/rules] Removing LICENSE.TXT placed in the data dir.
+  * [debian/rules] Added explicit python-binding generation previously missing
+    Now installs files from new locations because 1.5 moved to ng-python
+    (swig-based) support. (closes: #463077)
+  * [debian/control] Changed python-numeric -> python-numpy build-dep due to 
+    new-generation python support.
 
- -- Francesco Paolo Lovergine <[EMAIL PROTECTED]>  Fri, 25 Jan 2008 17:46:50 
+0100
+ -- Francesco Paolo Lovergine <[EMAIL PROTECTED]>  Tue, 29 Jan 2008 12:45:33 
+0100
 
 gdal (1.5.0-2) unstable; urgency=low
 

Modified: packages/gdal/trunk/debian/control
===================================================================
--- packages/gdal/trunk/debian/control  2008-01-29 09:32:36 UTC (rev 1364)
+++ packages/gdal/trunk/debian/control  2008-01-29 16:43:22 UTC (rev 1365)
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 5.0.37.2), zlib1g-dev, netcdfg-dev,
  libtiff4-dev, libjasper-dev|libjasper-1.701-dev, libpng12-dev, libjpeg62-dev, 
libungif4-dev,
  libhdf4g-dev, libhdf5-serial-dev, libpq-dev, libxerces27-dev, unixodbc-dev 
(>=2.2.11), 
- python-dev, python-numeric, doxygen, d-shlibs, libgeos-dev, dpatch, 
libmysqlclient15-dev, python-all-dev (>= 2.3.5-11), 
+ python-dev, python-numpy, doxygen, d-shlibs, libgeos-dev, dpatch, 
libmysqlclient15-dev, python-all-dev (>= 2.3.5-11), 
  python-central (>=0.5), libcurl4-dev|libcurl-dev, libsqlite3-dev, 
libogdi3.2-dev,
  ruby, ruby1.8-dev, chrpath, swig, libtool (>=1.5.24-2)
 Standards-Version: 3.7.3
@@ -126,7 +126,7 @@
 Package: python-gdal
 Section: python
 Architecture: any
-Depends: ${shlibs:Depends}, ${python:Depends}, python-numeric
+Depends: ${shlibs:Depends}, ${python:Depends}, python-numpy
 Provides: ${python:Provides}
 Homepage: http://trac.osgeo.org/gdal/wiki/GdalOgrInPython
 XB-Python-Version: ${python:Versions}

Modified: packages/gdal/trunk/debian/patches/libname.dpatch
===================================================================
--- packages/gdal/trunk/debian/patches/libname.dpatch   2008-01-29 09:32:36 UTC 
(rev 1364)
+++ packages/gdal/trunk/debian/patches/libname.dpatch   2008-01-29 16:43:22 UTC 
(rev 1365)
@@ -6,8 +6,8 @@
 
 @DPATCH@
 diff -urNad gdal-1.5.0~/GDALmake.opt.in gdal-1.5.0/GDALmake.opt.in
---- gdal-1.5.0~/GDALmake.opt.in        2007-12-08 18:32:49.000000000 +0100
-+++ gdal-1.5.0/GDALmake.opt.in 2008-01-07 15:26:06.000000000 +0100
+--- gdal-1.5.0~/GDALmake.opt.in        2008-01-29 13:05:45.000000000 +0100
++++ gdal-1.5.0/GDALmake.opt.in 2008-01-29 13:06:08.000000000 +0100
 @@ -80,7 +80,7 @@
                        -I$(GDAL_ROOT)/ogr -I$(GDAL_ROOT)/ogr/ogrsf_frmts
  
@@ -55,8 +55,8 @@
  EXE_DEP_LIBS  =       $(GDAL_SLIB)
  else
 diff -urNad gdal-1.5.0~/swig/perl/Makefile.PL gdal-1.5.0/swig/perl/Makefile.PL
---- gdal-1.5.0~/swig/perl/Makefile.PL  2007-04-21 10:14:00.000000000 +0200
-+++ gdal-1.5.0/swig/perl/Makefile.PL   2008-01-07 15:24:08.000000000 +0100
+--- gdal-1.5.0~/swig/perl/Makefile.PL  2008-01-29 13:05:45.000000000 +0100
++++ gdal-1.5.0/swig/perl/Makefile.PL   2008-01-29 13:06:08.000000000 +0100
 @@ -2,7 +2,7 @@
  
  $libdir = $ENV{'PREFIX'} ? "-L$ENV{'PREFIX'}/lib" : '';
@@ -66,3 +66,15 @@
  
  # for old-style, use gdal, gdalconst,ogr, and osr as keys
  
+diff -urNad gdal-1.5.0~/swig/python/setup.cfg gdal-1.5.0/swig/python/setup.cfg
+--- gdal-1.5.0~/swig/python/setup.cfg  2007-11-24 06:59:53.000000000 +0100
++++ gdal-1.5.0/swig/python/setup.cfg   2008-01-29 13:06:28.000000000 +0100
+@@ -1,7 +1,7 @@
+ [build_ext]
+ include_dirs = 
../../port:../../gcore:../../alg:../../ogr/:/usr/local/include:/usr/include
+ library_dirs = ../../.libs:../../:/usr/local/lib:/usr/lib
+-libraries = gdal
++libraries = gdal1.5.0
+ gdal_config=../../apps/gdal-config
+ 
+ # setup.cfg settings for building on win32 with msvc

Modified: packages/gdal/trunk/debian/rules
===================================================================
--- packages/gdal/trunk/debian/rules    2008-01-29 09:32:36 UTC (rev 1364)
+++ packages/gdal/trunk/debian/rules    2008-01-29 16:43:22 UTC (rev 1365)
@@ -38,6 +38,7 @@
                        --with-mysql \
                        --with-perl \
                        --with-ruby \
+                       --with-python \
                        --with-cfitsio=no; \
                mv GDALmake.opt GDALmake.opt-$$V; \
        done


_______________________________________________
Pkg-grass-devel mailing list
Pkg-grass-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/mailman/listinfo/pkg-grass-devel

Reply via email to